<?php
/*
See yak-for-wordpress.php for information and license terms
*/
$pid = $_GET['post'];

if (get_post_type($pid) == 'page') {
    $include_types = false;
}
else {
    $include_types = true;
}

$price = '';
$title = '';

if (isset($pid) && $pid != null) {
    $product = yak_get_product($pid);
    $price = $product->price;
    $title = $product->title;
    if ($include_types) {
        $product->types = yak_get_product_categories($pid, $product->status);
    }
}
else {
    $product = new YakProduct('', '', '', '', '');
    $product->types = array();
}
?>
<div id="tagsdiv" class="postbox">
    <h3><a class="togbox">+</a> YAK Product Details</h3>
    <div class="inside">
        <input type="hidden" name="yak_action" value="Update-Product" />
        <p>Set the price of your product: <input type="text" name="yak_price" value="<?php echo $price ?>" size="10" /></p>
        <p>Set the display title: <input type="text" name="yak_title" value="<?php echo $title ?>" size="50" /></p>
        
        <?php
            if ($include_types) {
                include 'yak-view-product-snippet.php';
            }
        ?>
    </div>
    
</div>
